Read flow histories
curl --request GET \
--url https://apiweb.mile.app/api/v3/flow-logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiweb.mile.app/api/v3/flow-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiweb.mile.app/api/v3/flow-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"code": 200,
"message": "Success.",
"data": {
"current_page": 1,
"data": [
{
"_id": "6853f0eb21ec1fa30707f483",
"flowId": "6853f0cbb83015e4c60279f2",
"action": "put",
"changedBy": "admin",
"version": 2,
"rawData": {
"_id": "6853f0cbb83015e4c60279f2",
"name": "Packing",
"pages": [
{
"id": "page0",
"enabled": true,
"components": [
{
"component": "input",
"id": "orderNumber",
"title": "Order Number",
"inputType": "string",
"default": null,
"routeAs": null,
"showAs": null,
"isRequired": false,
"visible": true,
"preValue": null
}
]
}
],
"configurations": [
{
"id": "startTime",
"adjustment": 0
},
{
"id": "endTime",
"adjustment": 24
}
],
"organizationId": "66791b2bf001a712b77b3622",
"version": 2,
"createdBy": "admin@mile.app",
"orderIndex": 72,
"updatedTime": "2025-06-19T11:13:28.922000Z",
"createdTime": "2025-06-19T11:13:15.550000Z",
"updatedBy": "admin@mile.app"
},
"changeData": {
"_id": "6853f0cbb83015e4c60279f2",
"name": "Packing",
"pages": [
{
"id": "page0",
"enabled": true,
"components": [
{
"component": "input",
"id": "orderNumber",
"title": "Order Number",
"inputType": "string",
"default": null,
"routeAs": null,
"showAs": null,
"isRequired": false,
"visible": true,
"preValue": null
}
]
},
{
"id": "page1",
"title": "Confirmation",
"components": [
{
"component": "view",
"id": "code",
"inputType": "string",
"title": "Code",
"value": "$orderNumber",
"visible": true,
"preValue": "$orderNumber"
}
],
"showTooltip": false
}
],
"configurations": [
{
"id": "startTime",
"adjustment": 0
},
{
"id": "endTime",
"adjustment": 24
}
],
"organizationId": "66791b2bf001a712b77b3622",
"version": 3,
"createdBy": "admin@mile.app",
"orderIndex": 72,
"updatedTime": "2025-06-19T11:13:47.833000Z",
"createdTime": "2025-06-19T11:13:15.550000Z",
"updatedBy": "admin@mile.app"
},
"organizationId": "66791b2bf001a712b77b3622",
"updatedTime": "2025-06-19T11:13:47.837000Z",
"createdTime": "2025-06-19T11:13:47.837000Z"
},
{
"_id": "6853f0d821ec1fa30707f482",
"flowId": "6853f0cbb83015e4c60279f2",
"action": "put",
"changedBy": "admin",
"version": 1,
"rawData": {
"_id": "6853f0cbb83015e4c60279f2",
"name": "Packing",
"pages": [
{
"id": "page0",
"enabled": true,
"components": []
}
],
"configurations": [
{
"id": "startTime",
"adjustment": 0
},
{
"id": "endTime",
"adjustment": 24
}
],
"organizationId": "66791b2bf001a712b77b3622",
"version": 1,
"createdBy": "admin@mile.app",
"orderIndex": 72,
"updatedTime": "2025-06-19T11:13:15.550000Z",
"createdTime": "2025-06-19T11:13:15.550000Z"
},
"changeData": {
"_id": "6853f0cbb83015e4c60279f2",
"name": "Packing",
"pages": [
{
"id": "page0",
"enabled": true,
"components": [
{
"component": "input",
"id": "orderNumber",
"title": "Order Number",
"inputType": "string",
"default": null,
"routeAs": null,
"showAs": null,
"isRequired": false,
"visible": true,
"preValue": null
}
]
}
],
"configurations": [
{
"id": "startTime",
"adjustment": 0
},
{
"id": "endTime",
"adjustment": 24
}
],
"organizationId": "66791b2bf001a712b77b3622",
"version": 2,
"createdBy": "admin@mile.app",
"orderIndex": 72,
"updatedTime": "2025-06-19T11:13:28.922000Z",
"createdTime": "2025-06-19T11:13:15.550000Z",
"updatedBy": "admin@mile.app"
},
"organizationId": "66791b2bf001a712b77b3622",
"updatedTime": "2025-06-19T11:13:28.926000Z",
"createdTime": "2025-06-19T11:13:28.926000Z"
},
{
"_id": "6853f0cbb83015e4c60279f3",
"flowId": "6853f0cbb83015e4c60279f2",
"action": "create",
"changedBy": "admin",
"version": 1,
"rawData": {
"name": "Packing",
"pages": [
{
"id": "page0",
"enabled": true,
"components": []
}
],
"configurations": [
{
"id": "startTime",
"adjustment": 0
},
{
"id": "endTime",
"adjustment": 24
}
],
"organizationId": "66791b2bf001a712b77b3622",
"version": 1,
"createdBy": "admin@mile.app"
},
"changeData": {
"name": "Packing",
"pages": [
{
"id": "page0",
"enabled": true,
"components": []
}
],
"configurations": [
{
"id": "startTime",
"adjustment": 0
},
{
"id": "endTime",
"adjustment": 24
}
],
"organizationId": "66791b2bf001a712b77b3622",
"version": 1,
"createdBy": "admin@mile.app",
"orderIndex": 72,
"updatedTime": "2025-06-19T11:13:15.550000Z",
"createdTime": "2025-06-19T11:13:15.550000Z",
"_id": "6853f0cbb83015e4c60279f2"
},
"organizationId": "66791b2bf001a712b77b3622",
"updatedTime": "2025-06-19T11:13:15.555000Z",
"createdTime": "2025-06-19T11:13:15.555000Z"
}
],
"first_page_url": "https://apiwebdev.mile.app/api/v3/flow-logs?flowId=6853f0cbb83015e4c60279f2&limit=-1&page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://apiwebdev.mile.app/api/v3/flow-logs?flowId=6853f0cbb83015e4c60279f2&limit=-1&page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://apiwebdev.mile.app/api/v3/flow-logs?flowId=6853f0cbb83015e4c60279f2&limit=-1&page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "https://apiwebdev.mile.app/api/v3/flow-logs",
"per_page": 1000,
"prev_page_url": null,
"to": 3,
"total": 3
}
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Flow
Read flow histories
GET
/
flow-logs
Read flow histories
Authorizations
Use a valid Bearer token to authenticate.
Query Parameters
The page number of results to retrieve. Example: 2
Specifies the maximum number of items to retrieve in a single request. Example: 10
Required range:
1 <= x <= 1000sortOrder is to decide ascending or descending order
Example: asc or desc.
Default: desc
Action done according to flows's manipulation trigger. There are 3 types of action:
enum: create,put,reorder
Example: put
The identifier for the flow that generated by system. Use Flow /flows API to get the list of flow id.
Comma (,) delimiter for filter multiple flow.
Example: 63d8c9b0dbd5ef20a627dd86
⌘I